{% extends 'Master.htm' %}
{% block HeadScript %}
<!-- Theme JS files -->

<script src="{{ url_for('static', filename='js/plugins/forms/selects/select2.min.js') }}"></script>
<script src="{{ url_for('static', filename='js/plugins/forms/wizards/steps.min.js') }}"></script>
<script src="/static/js/app.js"></script>

<!-- /theme JS files -->
<script>

	$(function () {
		// Basic wizard setup
		$('.steps-basic').steps({
			headerTag: 'h6',
			bodyTag: 'fieldset',
			transitionEffect: 'fade',
			titleTemplate: '<span class="number">#index#</span> #title#',
			labels: {
				previous: '<i class="icon-arrow-left13 mr-2" /> Previous',
				next: 'Next <i class="icon-arrow-right14 ml-2" />',
				finish: 'Submit form <i class="icon-arrow-right14 ml-2" />'
			},
			onFinished: function (event, currentIndex) {
				alert('Form submitted.');
			}
		});

		// Uniform
		var _componentUniform = function () {
			if (!$().uniform) {
				console.warn('Warning - uniform.min.js is not loaded.');
				return;
			}

			// Initialize
			$('.form-input-styled').uniform({
				fileButtonClass: 'action btn bg-blue'
			});
		};

		// Select2 select

		// Initialize
		var $select = $('.form-control-select2').select2({
			minimumResultsForSearch: Infinity,
			width: '100%'
		});

		// Trigger value change when selection is made
		$select.on('change', function () {
			$(this).trigger('blur');
		});

	});


</script>
<style>
	.CharacterListUL {
		list-style: none;

	}

	.CharacterListLI {
		float: left;
		padding: 5px;
	}

	.CharacterIcon {
		width: 100px;
	}
</style>
{% endblock %}

{% block NaviTitle %}
<span class="font-weight-semibold">New Post</span> - 投稿
{% endblock %}

{% block Content %}
<!-- Page content -->
<div class="page-content container pt-0">

	<!-- Main content -->
	<div class="content-wrapper">

		<div class="content">
			<!-- Basic setup -->
			<div class="card">
				<div class="card-header bg-white header-elements-inline">
					<h6 class="card-title">Basic example</h6>
					<div class="header-elements">
						<div class="list-icons">
							<a class="list-icons-item" data-action="collapse"></a>
							<a class="list-icons-item" data-action="reload"></a>
							<a class="list-icons-item" data-action="remove"></a>
						</div>
					</div>
				</div>

				<form class="wizard-form steps-basic" action="#" data-fouc>
					<h6>基本資料</h6>
					<fieldset>
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
									<label>攻略描述:</label>
									<textarea class="form-control" rows="5">
										</textarea>
								</div>
							</div>

						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label>影片連結:</label>
									<input type="text" name="name" class="form-control" placeholder="John Doe">
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label>影片平台:</label>
									<select name="location" data-placeholder="Select position"
										class="form-control form-control-select2" data-fouc>
										<option value="1">YouTube</option>
										<option value="2">Vimeo</option>
									</select>
								</div>
							</div>
						</div>
					</fieldset>

					<h6>角色</h6>
					<div class="row">
						<div class="col-md-12">
							<label>Max: 6</label>
						</div>
					</div>
					<fieldset>
						{% for i in range(6) %}
						<legend>角色{{ i+1 }}</legend>
						<div class="row">
							<div class="col-md-3">
								<label class="col-label">屬性</label>
								<select class="form-control">
									<option>風</option>
									<option>水</option>
									<option>火</option>
									<option>土</option>
								</select>
							</div>
							<div class="col-md-3">
								<label class="col-label">武器種類</label>
								<select class="form-control">
									<option>劍</option>
									<option>枚</option>
									<option>槍</option>
								</select></div>
							<div class="col-md-3">
								<label class="col-label">攻擊類型</label>
								<select class="form-control">
									<option>魔法</option>
									<option>物理</option>
								</select>
							</div>
							<div class="col-md-3">
								<label class="col-label">角色</label>
								<select class="form-control">
									<option>阿仁美</option>
								</select>
							</div>
						</div>
						{% endfor %}
					</fieldset>


					<h6>裝備</h6>
					<fieldset>

						<table class="table-sm table-bordered table-triped">
							<thead>
							<tr>
								<th>裝備</th>
								<th>角色</th>
								<th>角色</th>
								<th>角色</th>
								<th>角色</th>
								<th>角色</th>
								<th>角色</th>								
							</tr>
						</thead>


							<tbody>
								{%for ItemHeader in ItemHeaders %}
								<tr>
									<td>{{ItemHeader.name}}</td>
								</tr>
								{%endfor%}
							</tbody>
						</table>

						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label>Company:</label>
									<input type="text" name="experience-company" placeholder="Company name"
										class="form-control">
								</div>

								<div class="form-group">
									<label>Position:</label>
									<input type="text" name="experience-position" placeholder="Company name"
										class="form-control">
								</div>

								<div class="row">
									<div class="col-md-6">
										<label>From:</label>
										<div class="row">
											<div class="col-md-6">
												<div class="form-group">
													<select name="education-from-month" data-placeholder="Month"
														class="form-control form-control-select2" data-fouc>
														<option></option>
														<option value="January">January</option>
														<option value="...">...</option>
														<option value="December">December</option>
													</select>
												</div>
											</div>

											<div class="col-md-6">
												<div class="form-group">
													<select name="education-from-year" data-placeholder="Year"
														class="form-control form-control-select2" data-fouc>
														<option></option>
														<option value="1995">1995</option>
														<option value="...">...</option>
														<option value="1980">1980</option>
													</select>
												</div>
											</div>
										</div>
									</div>

									<div class="col-md-6">
										<label>To:</label>
										<div class="row">
											<div class="col-md-6">
												<div class="form-group">
													<select name="education-to-month" data-placeholder="Month"
														class="form-control form-control-select2" data-fouc>
														<option></option>
														<option value="January">January</option>
														<option value="...">...</option>
														<option value="December">December</option>
													</select>
												</div>
											</div>

											<div class="col-md-6">
												<div class="form-group">
													<select name="education-to-year" data-placeholder="Year"
														class="form-control form-control-select2" data-fouc>
														<option></option>
														<option value="1995">1995</option>
														<option value="...">...</option>
														<option value="1980">1980</option>
													</select>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>

							<div class="col-md-6">
								<div class="form-group">
									<label>Brief description:</label>
									<textarea name="experience-description" rows="4" cols="4"
										placeholder="Tasks and responsibilities" class="form-control"></textarea>
								</div>

								<div class="form-group">
									<label class="d-block">Recommendations:</label>
									<input name="recommendations" type="file" class="form-input-styled" data-fouc>
									<span class="form-text text-muted">Accepted formats: pdf, doc. Max file size
										2Mb</span>
								</div>
							</div>
						</div>
					</fieldset>

					<h6>攻略</h6>
					<fieldset>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="d-block">Applicant resume:</label>
									<input type="file" name="resume" class="form-input-styled" data-fouc>
									<span class="form-text text-muted">Accepted formats: pdf, doc. Max file size
										2Mb</span>
								</div>
							</div>

							<div class="col-md-6">
								<div class="form-group">
									<label>Where did you find us?</label>
									<select name="source" data-placeholder="Choose an option..."
										class="form-control form-control-select2" data-fouc>
										<option></option>
										<option value="monster">Monster.com</option>
										<option value="linkedin">LinkedIn</option>
										<option value="google">Google</option>
										<option value="adwords">Google AdWords</option>
										<option value="other">Other source</option>
									</select>
								</div>
							</div>
						</div>

						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label>Availability:</label>
									<div class="form-check">
										<label class="form-check-label">
											<input type="radio" name="availability" class="form-input-styled" data-fouc>
											Immediately
										</label>
									</div>

									<div class="form-check">
										<label class="form-check-label">
											<input type="radio" name="availability" class="form-input-styled" data-fouc>
											1 - 2 weeks
										</label>
									</div>

									<div class="form-check">
										<label class="form-check-label">
											<input type="radio" name="availability" class="form-input-styled" data-fouc>
											3 - 4 weeks
										</label>
									</div>

									<div class="form-check">
										<label class="form-check-label">
											<input type="radio" name="availability" class="form-input-styled" data-fouc>
											More than 1 month
										</label>
									</div>
								</div>
							</div>

							<div class="col-md-6">
								<div class="form-group">
									<label>Additional information:</label>
									<textarea name="additional-info" rows="5" cols="5"
										placeholder="If you want to add any info, do it here."
										class="form-control"></textarea>
								</div>
							</div>
						</div>
					</fieldset>
				</form>
			</div>
			<!-- /basic setup -->
		</div>

	</div>
	<!-- /content area -->

</div>
<!-- /main content -->

</div>
{% endblock %}